$('table.display').DataTable();

var $id_leed = 0;
var $origem = 0;



$('body').on('click','.set_leed', function(){
   
    $id_leed = $(this).data('id');
    $origem = $(this).data('origem');
    
    $('.erroFormNegarAnuncio').html('');
    //window.open(link_lancamento, '_blank') : window.location.href = link_imovel;
});

$('body').on('click','.iniciarCartao', function(){
   
    $data = get_form('#formAddNewCard');
    
    data.push({"name": 'id_quadro', "value": 1});
    
    $erro = function(r)
    {
        alert(r.msg);
    };
    
    get_ajax('add_card', retorno =>{
        
        if(retorno.valid == true)
        {
            window.location.href = base_url+'administrativo/operacao/quadro/1';
        }
        else
        {
            $erro(r);
        }
    }, $erro, $data);
    
    
});

$('body').on('click','.btnNegarAnuncio', function(){
    
   $data = get_form('#formNegarAnuncio');
   data.push({"name": 'id_leed', "value": $id_leed});
   data.push({"name": 'origem', "value": $origem});
   
   get_ajax('negarAnuncio', retorno =>{
       
        if(retorno.valid == true)
        {
            location.reload();
            //$('#'+$origem+'_'+$id_leed).remove();
            //$('#dangerModal').modal('hide');
        }
        else
        {
            $('.erroFormNegarAnuncio').html(retorno.msg);
        }
    }, erro =>{
        $('.erroFormNegarAnuncio').html(erro.msg);
        
    }, $data);
    
})

$('body').on('click','.btnAceitarAnuncio', function(){
    
    $data = get_form('#formAceitarAnuncio');
   data.push({"name": 'id_leed', "value": $id_leed});
   data.push({"name": 'origem', "value": $origem});
   
   get_ajax('aceitarAnuncio', retorno =>{
       
        if(retorno.valid == true)
        {
            location.reload();
        }
        else
        {
            $('.erroFormAceitarAnuncio').html(retorno.msg);
        }
    }, erro =>{
        $('.erroAceitarAnuncio').html(erro.msg);
        
    }, $data);
    
});

$('body').on('click','.btnAtenderAnuncio', function(){
    
   $data = get_form('#formAtenderAnuncio');
   data.push({"name": 'id_leed', "value": $id_leed});
   data.push({"name": 'origem', "value": $origem});
   
   get_ajax('atenderAnuncio', retorno =>{
       
        if(retorno.valid == true)
        {
            location.reload();
        }
        else
        {
            $('.erroFormAtenderAnuncio').html(retorno.msg);
        }
    }, erro =>{
        $('.erroFormAtenderAnuncio').html(erro.msg);
        
    }, $data);
    
});


function get_form($form)
{
    data = [];
    var nameRadio = [];
    
    //var data = $("#form-imovel").find('input,textarea').serializeArray();
    $($form).find('input:not([type=radio]):input:not([type=checkbox]):input:not([type=file])').each(function(key,value){
        if(this.name != "")
            data.push({"name": this.name, "value": this.value});
    });
    $($form).find('textarea').each(function(key,value)    {
        if(this.name != "")
            data.push({"name": this.name, "value": this.value});
    });
    
    $($form).find('input[type=radio]').each(function(key,value){
        if(nameRadio[this.name] == undefined)
            nameRadio[this.name] = '';
        if($(this).is(':checked'))
            nameRadio[this.name] = this.value;
    });
    
    for(var name in nameRadio){
        data.push({"name": name, "value": nameRadio[name]});
    };
    
    $($form).find('select option:selected').each(function(key,value)    {
        if(this.parentElement.localName == 'select')
            data.push({"name": this.parentElement.name, "value": this.value});
            
        if(this.parentElement.parentElement.localName == 'select')
            data.push({"name": this.parentElement.parentElement.name, "value": this.value});
    });
    
    $($form).find('input[type=checkbox]:checked').each(function(key,value)    {
        if(this.name != "")
            data.push({"name": this.name, "value": this.value});
    });
    
    $($form).find('input[type=checkbox]:not(:checked)').each(function(key,value)    {
        if(this.name != "")
            data.push({"name": this.name, "value": ""});
    });
    
    
    return data;
}

$('body').on('click','.btn-edit', function(){
    
    console.log('editou');
    
    $id_card = $(this).data('id_card');
    $obs = $(this).data('card_obs');
    $(this).parent().parent().children('.box-text-obs').html('<textarea class="form-control textarea-obs" id="textarea-input" rows="3" name="obs_card_'+$id_card+'" placeholder="Escreva aqui...">'+$obs+'</textarea>');
    $(this).parent().parent().siblings('.btns-obs').html(' <div class="form-group mt-2 btns-salvar-obs"><button class="btn btn-sm btn-primary btn-save-obs" data-id_card="'+$id_card+'" type="button"><i class="fa fa-dot-circle-o"></i> Salvar</button> <button class="btn btn-sm btn-danger" type="button"><i class="icon-close"></i> Fechar</button></div>');
    $(this).parent().parent().siblings('.text-obs-'+$id_card).children('.obs-paragraph').remove();
    
    $(this).hide();
});



/*$('body').on('click','.ini_olx', function(){
    
    $link = base_url+'administrativo/operacao/ini_operacao/'+$id_leed+'/'+$origem;
    window.location.href = $link;
    //window.open($link, '_blank');
    
});*/

$('body').on('click','.next_list', function(){
    
    $id_card = $(this).data('id_card');
    
    get_ajax('next_list', retorno =>{
        
        window.location.href = base_url+'administrativo/operacao/quadro/1';
        
    }, erro => { $('.alerts-'+$id_card).html('<div class="alert alert-danger alert-dismissible fade show" role="alert"> '+erro.msg+' <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button></div>'); }, {id_card:$id_card});
    
});

$('body').on('click','.prev_list', function(){
    
    $id_card = $(this).data('id_card');
    
    get_ajax('prev_list', retorno => {
        
        window.location.href = base_url+'administrativo/operacao/quadro/1';
        
    }, erro => { console.log(erro); }, {id_card:$id_card});
    
});

/*$('body').on('click', '#status-alugado', function(){
   
   $id_card = $(this).data('id_card');
   
   $('.inquilino-'+$id_card).removeAttr('style');
   
});*/

$('body').on('click','.btn-save-obs', function(){
    
    $id_card = $(this).data('id_card');
    $data = {
        id_card: $id_card,
        obs : $('textarea[name="obs_card_'+$id_card+'"]').val(),
    };
    
    get_ajax('atualizaCard', retorno =>{
        
        $('.text-obs-'+$id_card).html('<p class="obs-paragraph">'+retorno.dados.obs+'</p>');
        $(this).parent('.btns-salvar-obs').hide();
        $(this).parent().parent().siblings('.form-group-obs-'+$id_card).children('.box-text-obs').children('.textarea-obs').remove();
        $(this).parent().parent().siblings('.form-group-obs-'+$id_card).children('.label-obs').children('.btn-edit').show();
        $(this).parent().parent().siblings('.form-group-obs-'+$id_card).children('.label-obs').children('.btn-edit').data('card_obs',retorno.dados.obs);
        
    }, $error, $data);
    
});

$('body').on('change','input[name="status_imovel"]:checked',function() {
    //console.log($(this).val());
    
    $id_card = $(this).data('id_card');
    if ($(this).val() == 'Alugado') {
        $('.inquilino-'+$id_card).show();
    }else{
        $('.inquilino-'+$id_card).hide();
        $('#formImovel-'+$id_card).find('input[name="nome_inquilino"]').val('');
        $('#formImovel-'+$id_card).find('input[name="telefone_inquilino"]').val('');
    }
    
});

$('body').on('change','input[name="barco_direito"]:checked',function() {
    //console.log($(this).val());
    
    $id_card = $(this).data('id_card');
    if ($(this).val() == 'Sim') {
        $('.bd-'+$id_card).show();
    }else{
        $('.bd-'+$id_card).hide();
        $('#formImovel-'+$id_card).find('input[name="nome_bd"]').val('');
        $('#formImovel-'+$id_card).find('input[name="telefone_bd"]').val('');
    }
    
});



$('body').on('click','.btn-save-dono', function(){
    
    $id_card = $(this).data('id_card');
    var dados = {nome: $('#form-cad-dono-id-'+$id_card).find('input[name="nome_cad"]').val(),
                email: $('#form-cad-dono-id-'+$id_card).find('input[name="email_cad"]').val(),
                telefone: $('#form-cad-dono-id-'+$id_card).find('input[name="telefone"]').val(),
    };
    
    //var data = $('#form-cad-dono-id-'+$id_card).serializeArray();
    
    get_ajax('add_cadastro', retorno =>{
        
        $('.alerts-'+$id_card).html('<div class="alert alert-success alert-dismissible fade show" role="alert"> Dono Cadastrado com Sucesso <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button></div>');
        
    }, erro => {
        //$('.alert-cad-'+$id_card).html(erro.msg);
        $('.alerts-'+$id_card).html('<div class="alert alert-danger alert-dismissible fade show" role="alert"> '+erro.msg+' <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button></div>');
    }, {id_card: $id_card, dados});
    
});

$('body').on('click','.btn-salvar-imovel', function(){
    
    $id_card = $(this).data('id_card');
    var dados = {'endereco': $('#formImovel-'+$id_card).find('input[name="endereco"]').val(),
                'cep': $('#formImovel-'+$id_card).find('input[name="cep"]').val(),
                'bairro': $('#formImovel-'+$id_card).find('input[name="bairro"]').val(),
                'complemento': $('#formImovel-'+$id_card).find('input[name="complemento"]').val(),
                'numero': $('#formImovel-'+$id_card).find('input[name="numero"]').val(),
                'cidade': $('#formImovel-'+$id_card).find('input[name="cidade"]').val(),
                'estado': $('#formImovel-'+$id_card).find('input[name="estado"]').val(),
                
                'val_pretendido': $('#formImovel-'+$id_card).find('input[name="valor"]').val(),
                'quartos': $('#formImovel-'+$id_card).find('input[name="quartos"]').val(),
                'tipo_imovel': $('#formImovel-'+$id_card).find('select[name="tipo_imovel"]').val(),
                'area_total': $('#formImovel-'+$id_card).find('input[name="metragem"]').val(),
                'banheiros': $('#formImovel-'+$id_card).find('input[name="banheiros"]').val(),
    };
    
    $card = {
        id_card: $id_card,
        status_imovel: $('#formImovel-'+$id_card).find('input[name="status_imovel"]:checked').val(),
        braco_direito: $('#formImovel-'+$id_card).find('input[name="barco_direito"]:checked').val(),
        nome_inquilino: $('#formImovel-'+$id_card).find('input[name="nome_inquilino"]').val(),
        telefone_inquilino: $('#formImovel-'+$id_card).find('input[name="telefone_inquilino"]').val(),
        nome_braco_direito: $('#formImovel-'+$id_card).find('input[name="nome_bd"]').val(),
        telefone_braco_direito: $('#formImovel-'+$id_card).find('input[name="telefone_bd"]').val(),
    };
    

    
    
    get_ajax('add_imovel', retorno =>{
        
        //alert(retorno.msg);
        $('.alerts-'+$id_card).html('<div class="alert alert-success alert-dismissible fade show" role="alert"> '+retorno.msg+' <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button></div>');
        //Se der erro não envia atualização para o card
        get_ajax('atualizaCard', retorno =>{
            
            console.log(retorno.msg.obs);
            
        }, $error, $card);
        
    },  erro => {
        //$('.alert-cad-'+$id_card).html(erro.msg);
        $('.alerts-'+$id_card).html('<div class="alert alert-danger alert-dismissible fade show" role="alert"> '+erro.msg+' <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button></div>');
    }, {id_card: $id_card, post: dados});
    
});

$('body').on('click','.btn-verifica-dono', function(){
    
    $id_card = $(this).data('id_card');
    var email = $('#form-cad-dono-id-'+$id_card).find('input[name="email_cad"]').val();
    
    
    get_ajax('verificar_email', retorno =>{
        if(retorno.tem_cadastro == true){
            console.log('tem cadastro');
            
            $('.forms-cad-false-'+$id_card).removeClass('d-none');
            $('.forms-cad-false-'+$id_card).show();
            $(this).hide();
            $('#form-cad-dono-id-'+$id_card).find('input[name="email_cad"]').attr('readonly', 'readonly');
            $('#form-cad-dono-id-'+$id_card).find('input[name="nome_cad"]').val(retorno.dados.nome).attr('readonly', 'readonly');
            $('#form-cad-dono-id-'+$id_card).find('input[name="telefone"]').val(retorno.dados.telefone).attr('readonly', 'readonly');
            $('#form-cad-dono-id-'+$id_card).find('input[name="cpf"]').val(retorno.dados.cpf).attr('readonly', 'readonly');
            $('.btns-'+$id_card).hide();
            //$('.alert-cad-'+$id_card).html('Este e-mail ja possui um cadastro');
            $('.alerts-'+$id_card).html('<div class="alert alert-warning alert-dismissible fade show" role="alert"> Este e-mail ja possui um cadastro <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button></div>');
        }else{
            console.log('não tem cadastro');
            $('.forms-cad-false-'+$id_card).removeClass('d-none');
            $('.forms-cad-false-'+$id_card).show();
            $(this).hide();
            //$('.alert-cad-'+$id_card).html('E-mail não cadastrado, digite dados para novo cadastro');
            $('.alerts-'+$id_card).html('<div class="alert alert-warning alert-dismissible fade show" role="alert"> E-mail não cadastrado, digite dados para novo cadastro <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button></div>');
        }
    }, erro => {
        //$('.alert-cad-'+$id_card).html(erro.msg);
        $('.alerts-'+$id_card).html('<div class="alert alert-danger alert-dismissible fade show" role="alert"> '+erro.msg+' <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button></div>');
    }, {id_card: $id_card,email: email});
    
});

$('body').on('click','.btn-verifica-cep', function(){
    
    $id_card = $(this).data('id_card');
    var cep = $('#formImovel-'+$id_card).find('input[name="cep"]').val();
    
    
        get_cep('buscar_cep', retorno =>{
            
            $('.forms-imovel-'+$id_card).removeClass('d-none');
            $('.forms-imovel-'+$id_card).show();
            
            $(this).hide();
            $('#formImovel-'+$id_card).find('input[name="endereco"]').val(retorno.logradouro)
            $('#formImovel-'+$id_card).find('input[name="bairro"]').val(retorno.bairro)
            $('#formImovel-'+$id_card).find('input[name="cidade"]').val(retorno.cidade)
            $('#formImovel-'+$id_card).find('input[name="estado"]').val(retorno.uf)
            
        }, error => {
            $('.forms-imovel-'+$id_card).removeClass('d-none');
            $('.forms-imovel-'+$id_card).show();
            
            if($('input[name="cep"]').val() != ''){
                $(this).hide();
            }
            $('.alerts-'+$id_card).html('<div class="alert alert-primary alert-dismissible fade show" role="alert"> CEP não encontrado, digite o endereço <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button></div>');
        }, {cep});
    
});

$('body').on('click','.btn_agendar_fotos', function(){
    
    $id_card = $(this).data('id_card');
    $data = {
        id_card: $id_card,
        autorizacao_dono : $('#formAgendarFotos-'+$id_card).find('input[name="autorizacao_dono"]:checked').val(),
        data_fotos :       $('#formAgendarFotos-'+$id_card).find('input[name="data_fotos"]').val(),
        id_fotografo :     $('#formAgendarFotos-'+$id_card).find('select[name="fotografo"]').val()
    };
    
    //$fotografo = $('#formAgendarFotos-'+$id_card).find('select[name="tipo_imovel"]').val()
    
    get_ajax('atualizaCard', retorno =>{
        if(retorno.valid == true){
            console.log(retorno)
        }else{
            alert('erro!');
        }
    }, $error, $data);
    
});

/*$('body').on('click','.btn-salva-fotografo', function(){
    
    $id_card = $(this).data('id_card');
    $data = {
        id_card: $id_card,
        autorizacao_dono : $('#formAgendarFotos-'+$id_card).find('input[name="autorizacao_dono"]:checked').val(),
        data_fotos :       $('#formAgendarFotos-'+$id_card).find('input[name="data_fotos"]').val(),
    };
    
    //$fotografo = $('#formAgendarFotos-'+$id_card).find('select[name="tipo_imovel"]').val()
    
    get_ajax('atualizaCard', retorno =>{
        if(retorno.valid == true){
            console.log(retorno)
        }else{
            alert('erro!');
        }
    }, $error, $data);
    
});*/

//Callbeck erro ajax
$error = function error(r){console.log(r)};


/*
function get_ajax

$func = nome da funcao no php
$success = funcao Callbeck, exemplo = "retorno =>{alert('deu bom');}"
$error = funcao Callbeck
$data = objeto passado no post ajax
*/
function get_ajax($func, $success, $error, $data = []){
    console.log($data);
    $.ajax({
		url: base_url+"administrativo/ajax/operacao_ajax/"+$func, 
		dataType: 'json',
		type: 'POST',
		data: $data,
		success: function(retorno)
		{		
		    if(retorno.valid == true)
		    {   
		        $success(retorno);
		    }
		    else
		    {
		        $error(retorno);
		    }
		},
		error: function(error)
		{
		    $error(error);
		}
    });
    
 }
 
function get_cep($func, $success, $error, $data = []){
    console.log($data);
    $.ajax({
		url: base_url+"comdono/ajax/get_ajax/"+$func, 
		dataType: 'json',
		type: 'POST',
		data: $data,
		success: function(retorno)
		{		
		    if(retorno.valid == true)
		    {   
		        $success(retorno);
		    }
		    else
		    {
		        $error(retorno);
		    }
		},
		error: function(error)
		{
		    $error(error);
		}
    });
    
 }